#pragma once

#include "managedObject.hpp"

#include <psp2/gxm.h>
#include <psp2/kernel/sysmem.h>

namespace render::kernel
{

class GpuFragmentUsseBuffer : public ManagedObject
{
public:
    void *data;
    SceUID uid;
    unsigned int offset;

    GpuFragmentUsseBuffer(size_t size);
    virtual ~GpuFragmentUsseBuffer();
};

} // namespace render::kernel